Skip to main content
GET
/
workspaces
/
{workspace_token}
Get workspace by token
curl --request GET \
  --url https://api.vantage.sh/v2/workspaces/{workspace_token} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vantage.sh/v2/workspaces/{workspace_token}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vantage.sh/v2/workspaces/{workspace_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "token": "wrkspc_ba4878d880507623",
  "name": "Emard, Lebsack and Schmidt 551b5e11",
  "created_at": "2024-10-01T01:00:55Z",
  "enable_currency_conversion": false,
  "currency": "USD",
  "exchange_rate_date": "daily_rate"
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

workspace_token
string
required

Response

Workspace model

token
string
required
name
string
required

The name of the Workspace.

Example:

"Acme Corp."

created_at
string
required

The date and time, in UTC, the Workspace was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

enable_currency_conversion
boolean
required

Whether or not currency conversion is enabled for the Workspace.

currency
string
required

The currency code for the Workspace that will be used for currency conversion.

Example:

"USD"

exchange_rate_date
string
required

The exchange rate date that will be used to convert currency for your cost data.